/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package jsdsi;

/**
   The result of a call to the cert path builder: contains the
   certification path itself.

   @see CertPathBuilder
   
   @author Sameer Ajmani
 **/
public class CertPathBuilderResult
  implements java.security.cert.CertPathBuilderResult
{
  private CertPath path;
  private CertPathBuilderStats stats;
  
  public CertPathBuilderResult(CertPath p, CertPathBuilderStats s)
  {
    path = p;
    stats = s;
  }
  
  public java.security.cert.CertPath getCertPath()
  {
    return path;
  }

  public CertPathBuilderStats getStats()
  {
    return stats;
  }
  
  public Object clone()
  {
    return new CertPathBuilderResult(path, stats);
  }
}
