/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package jsdsi;

import java.security.*;

/**
   The result of a call to the cert path validator: returns true to
   isOk() if successful; otherwise getCause() returns the cause of the
   failure.

   @see CertPathValidator
   
   @author Sameer Ajmani
 **/
public class CertPathValidatorResult
  implements java.security.cert.CertPathValidatorResult
{
  GeneralSecurityException ex;
  
  public CertPathValidatorResult(GeneralSecurityException e)
  {
    ex = e;
  }
  public boolean isOk()
  {
    return (ex == null);
  }
  public GeneralSecurityException getCause()
  {
    return ex;
  }
  public Object clone()
  {
    return new CertPathValidatorResult(ex);
  }
}
