/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package jsdsi;

import java.util.*;

/**
   A one-to-many map: each key is associated with a set of values.  Note
   that get(key) returns the empty set if no value has previously been
   put() for that key.
   
   @author Sameer Ajmani
 **/
class MultiMap {
  Map map = new HashMap();
  public Set get(Object key)
  {
    Set set = (Set)map.get(key);
    if (set == null) {
      set = new HashSet();
      map.put(key, set);
    }
    return set;
  }
  public void put(Object key, Object value)
  {
    get(key).add(value);
  }
  public void putAll(Object key, Collection coll)
  {
    get(key).addAll(coll);
  }
  public void remove(Object key, Object value)
  {
    get(key).remove(value);
  }
}
