/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package jsdsi;

import java.io.*;
import java.security.*;
import java.security.cert.*;

/**
   A cryptographic provider for SPKI/SDSI and S-expressions.  Fully
   specified by the file jsdsi.properties.
   
   @author Sameer Ajmani
 **/
public class Provider extends java.security.Provider {
  public Provider()
  {
    super("JSDSI", 1, "JSDSI provider");
    try {
      load(Provider.class.getClassLoader()
           .getResourceAsStream("jsdsi.properties"));
    } catch (IOException e) {
      e.printStackTrace();
    }
  }  
  public static void main(String[] args)
    throws Exception
  {
    Provider p = new Provider();
    CertificateFactory cf = CertificateFactory.getInstance("SPKI/SEXP", p);
    KeyFactory kf = KeyFactory.getInstance("SPKI/SEXP", p);
  }
  public static void install()
  {
    Security.addProvider(new Provider());
  }
}
