/*
  Copyright 2002 Massachusetts Institute of Technology
    
  Permission to use, copy, modify, and distribute this program for any
  purpose and without fee is hereby granted, provided that this
  copyright and permission notice appear on all copies and supporting
  documentation, the name of M.I.T. not be used in advertising or
  publicity pertaining to distribution of the program without specific
  prior permission, and notice be given in supporting documentation that
  copying and distribution is by permission of M.I.T.  M.I.T. makes no
  representations about the suitability of this software for any
  purpose.  It is provided "as is" without express or implied warranty.
*/
package jsdsi;

import java.io.*;
import java.util.*;
import jsdsi.sexp.*;

class S2X
{
  public static void main(String[] args) throws Exception {
    if (args.length < 1) {
      System.err.println("usage: java Parser input-file");
      return;
    }
    SexpInputStream is = new SexpInputStream
      (new FileInputStream(args[0]));
    SexpOutputStream os = new SexpOutputStream(System.out);
    
    int i = 0;
    try {
      while (true) {
        os.writeCanonical(is.readSexp());
        i++;
      }
    } catch (EOFException e) {
      os.flush();
      System.err.println("done");      
    }
  }
}
